<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextRef Method (IEdmEnumeratorCustomReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference5 Interface : GetNextRef Method (IEdmEnumeratorCustomReference5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next custom file reference

plFileID
  ID of the referenced file

plFolderID
  ID of the parent folder of the referenced file

Obsolete. Supserseded by IEdmEnumeratorCustomReference6::GetNextRef2 .

# Syntax

Visual Basic |
--- | ---

    Function GetNextRef( _
       ByVal poPos As IEdmPos5, _
       ByRef plFileID As System.Integer, _
       ByRef plFolderID As System.Integer _
    ) As System.String

C# |
--- | ---

    System.string GetNextRef(
       IEdmPos5 poPos,
       out System.int plFileID,
       out System.int plFolderID
    )

C++/CLI |
--- | ---

    System.String^ GetNextRef(
    &   IEdmPos5^ poPos,
    &   [Out] System.int plFileID,
    &   [Out] System.int plFolderID
    )

#### Parameters

poPos
  IEdmPos5; position of the next custom file reference
plFileID
  ID of the referenced file
plFolderID
  ID of the parent folder of the referenced file

#### Return Value

Path name of the referenced file

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first custom file reference, IEdmPos5. Call IEdmEnumeratorCustomReference5::GetFirstRefPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the custom file references.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmEnumeratorCustomReference5 Interface
IEdmEnumeratorCustomReference5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2